1. Department
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Department

department

GET
/api/v1/department

Department List#

Purpose#

Retrieve all departments available in company.

Why would you use this?#

Use this API when your system needs to access or synchronize department information from Comany. Departments are commonly used to organize products into high-level business categories.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP

Information Returned#

This API returns department information including:
Department ID
Department Name
Before syncing products, the system can fetch department information and use it to categorize products correctly.

Important Notes#

Departments are used as top-level product classifications.
Department IDs should be stored for future product synchronization.
Department information may be referenced by Product APIs and Category APIs.
It is recommended to periodically synchronize department data to keep records up to date.

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/department' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Department List",
    "code": "200",
    "response": {
        "totalCount": 9,
        "items": [
            {
                "departmentId": 55381,
                "departmentName": "FMCG"
            },
            {
                "departmentId": 55380,
                "departmentName": "Grocery"
            },
            {
                "departmentId": 55379,
                "departmentName": "Cafe Items"
            },
            {
                "departmentId": 55374,
                "departmentName": "test44"
            },
            {
                "departmentId": 54844,
                "departmentName": "Testing Party"
            },
            {
                "departmentId": 54825,
                "departmentName": "Testing Department"
            },
            {
                "departmentId": 49157,
                "departmentName": "Other"
            },
            {
                "departmentId": 49123,
                "departmentName": "tesst"
            },
            {
                "departmentId": 49111,
                "departmentName": "Food"
            }
        ]
    }
}
Previous
Branch List
Next
category
Built with